Bug 1645396 - add_permissions_to_default_roles fails during db:create
Summary: add_permissions_to_default_roles fails during db:create
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Evgeni Golov
QA Contact: Mirek Zalewski
URL:
Whiteboard:
Depends On:
Blocks: 1645398
TreeView+ depends on / blocked
 
Reported: 2018-11-02 07:04 UTC by Ondřej Pražák
Modified: 2019-10-07 17:20 UTC (History)
3 users (show)

Fixed In Version: foreman-1.20.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:43 UTC
Foreman Issue Tracker 25312 None None None 2018-11-02 07:04:50 UTC

Description Ondřej Pražák 2018-11-02 07:04:48 UTC
(from http://ci.theforeman.org/blue/organizations/jenkins/katello-pr-test/detail/katello-pr-test/3578/pipeline/ that tests https://github.com/Katello/katello/pull/7532)

when calling <code>add_permissions_to_default_roles</code> in <code>Foreman::Plugin.register</code>, the code is also executed during <code>rake db:create</code>, but at that point the tables are not created yet and db:create fails:

<pre>
ActiveRecord::NoDatabaseError: FATAL:  database "katello-pr-test-3578-development" does not exist

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql_adapter.rb:688:in `rescue in connect'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql_adapter.rb:683:in `connect'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql_adapter.rb:215:in `initialize'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql_adapter.rb:40:in `new'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql_adapter.rb:40:in `postgresql_connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:809:in `new_connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:853:in `checkout_new_connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:832:in `try_to_checkout_new_connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:793:in `acquire_connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:521:in `checkout'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:380:in `connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:1008:in `retrieve_connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_handling.rb:118:in `retrieve_connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_handling.rb:90:in `connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/model_schema.rb:466:in `load_schema!'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/attributes.rb:234:in `load_schema!'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/attribute_decorators.rb:51:in `load_schema!'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/model_schema.rb:459:in `block in load_schema'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/model_schema.rb:456:in `load_schema'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/model_schema.rb:336:in `columns_hash'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/core.rb:196:in `block in find_by'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/core.rb:196:in `each'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/core.rb:196:in `all?'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/core.rb:196:in `find_by'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin/rbac_support.rb:34:in `block in add_permissions_to_default_roles'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin/rbac_support.rb:32:in `each'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin/rbac_support.rb:32:in `add_permissions_to_default_roles'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin.rb:310:in `block (2 levels) in add_permissions_to_default_roles'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/audited-4.8.0/lib/audited/auditor.rb:353:in `without_auditing'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin.rb:309:in `block in add_permissions_to_default_roles'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/audited-4.8.0/lib/audited/auditor.rb:353:in `without_auditing'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin.rb:308:in `add_permissions_to_default_roles'

/var/lib/workspace/workspace/katello-pr-test/lib/katello/plugin.rb:318:in `block in <main>'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin.rb:74:in `instance_eval'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin.rb:74:in `register'

/var/lib/workspace/workspace/katello-pr-test/lib/katello/plugin.rb:5:in `<main>'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in `require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in `block in require_with_bootsnap_lfi'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/loaded_features_index.rb:65:in `register'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:20:in `require_with_bootsnap_lfi'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:29:in `require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activesupport-5.2.1/lib/active_support/dependencies.rb:287:in `block in require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activesupport-5.2.1/lib/active_support/dependencies.rb:253:in `load_dependency'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activesupport-5.2.1/lib/active_support/dependencies.rb:287:in `require'

/var/lib/workspace/workspace/katello-pr-test/lib/katello/engine.rb:59:in `block in <class:Engine>'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/initializable.rb:32:in `instance_exec'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/initializable.rb:32:in `run'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/initializable.rb:61:in `block in run_initializers'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/initializable.rb:60:in `run_initializers'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/application.rb:361:in `initialize!'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/railtie.rb:190:in `public_send'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/railtie.rb:190:in `method_missing'

/var/lib/workspace/workspace/katello-pr-test/foreman/config/environment.rb:5:in `<main>'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in `require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in `block in require_with_bootsnap_lfi'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/loaded_features_index.rb:65:in `register'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:20:in `require_with_bootsnap_lfi'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:29:in `require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activesupport-5.2.1/lib/active_support/dependencies.rb:287:in `block in require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activesupport-5.2.1/lib/active_support/dependencies.rb:253:in `load_dependency'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activesupport-5.2.1/lib/active_support/dependencies.rb:287:in `require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/application.rb:337:in `require_environment!'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/application.rb:520:in `block in run_tasks_blocks'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/rake-12.3.1/exe/rake:27:in `<top (required)>'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/bin/ruby_executable_hooks:15:in `eval'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/bin/ruby_executable_hooks:15:in `<main>'



Caused by:

PG::ConnectionBad: FATAL:  database "katello-pr-test-3578-development" does not exist

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/pg-1.1.3/lib/pg.rb:56:in `initialize'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/pg-1.1.3/lib/pg.rb:56:in `new'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/pg-1.1.3/lib/pg.rb:56:in `connect'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql_adapter.rb:684:in `connect'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql_adapter.rb:215:in `initialize'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql_adapter.rb:40:in `new'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql_adapter.rb:40:in `postgresql_connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:809:in `new_connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:853:in `checkout_new_connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:832:in `try_to_checkout_new_connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:793:in `acquire_connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:521:in `checkout'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:380:in `connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:1008:in `retrieve_connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_handling.rb:118:in `retrieve_connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/connection_handling.rb:90:in `connection'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/model_schema.rb:466:in `load_schema!'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/attributes.rb:234:in `load_schema!'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/attribute_decorators.rb:51:in `load_schema!'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/model_schema.rb:459:in `block in load_schema'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/model_schema.rb:456:in `load_schema'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/model_schema.rb:336:in `columns_hash'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/core.rb:196:in `block in find_by'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/core.rb:196:in `each'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/core.rb:196:in `all?'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activerecord-5.2.1/lib/active_record/core.rb:196:in `find_by'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin/rbac_support.rb:34:in `block in add_permissions_to_default_roles'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin/rbac_support.rb:32:in `each'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin/rbac_support.rb:32:in `add_permissions_to_default_roles'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin.rb:310:in `block (2 levels) in add_permissions_to_default_roles'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/audited-4.8.0/lib/audited/auditor.rb:353:in `without_auditing'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin.rb:309:in `block in add_permissions_to_default_roles'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/audited-4.8.0/lib/audited/auditor.rb:353:in `without_auditing'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin.rb:308:in `add_permissions_to_default_roles'

/var/lib/workspace/workspace/katello-pr-test/lib/katello/plugin.rb:318:in `block in <main>'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin.rb:74:in `instance_eval'

/var/lib/workspace/workspace/katello-pr-test/foreman/app/registries/foreman/plugin.rb:74:in `register'

/var/lib/workspace/workspace/katello-pr-test/lib/katello/plugin.rb:5:in `<main>'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in `require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in `block in require_with_bootsnap_lfi'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/loaded_features_index.rb:65:in `register'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:20:in `require_with_bootsnap_lfi'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:29:in `require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activesupport-5.2.1/lib/active_support/dependencies.rb:287:in `block in require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activesupport-5.2.1/lib/active_support/dependencies.rb:253:in `load_dependency'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activesupport-5.2.1/lib/active_support/dependencies.rb:287:in `require'

/var/lib/workspace/workspace/katello-pr-test/lib/katello/engine.rb:59:in `block in <class:Engine>'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/initializable.rb:32:in `instance_exec'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/initializable.rb:32:in `run'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/initializable.rb:61:in `block in run_initializers'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/initializable.rb:60:in `run_initializers'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/application.rb:361:in `initialize!'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/railtie.rb:190:in `public_send'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/railtie.rb:190:in `method_missing'

/var/lib/workspace/workspace/katello-pr-test/foreman/config/environment.rb:5:in `<main>'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in `require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in `block in require_with_bootsnap_lfi'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/loaded_features_index.rb:65:in `register'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:20:in `require_with_bootsnap_lfi'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:29:in `require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activesupport-5.2.1/lib/active_support/dependencies.rb:287:in `block in require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activesupport-5.2.1/lib/active_support/dependencies.rb:253:in `load_dependency'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/activesupport-5.2.1/lib/active_support/dependencies.rb:287:in `require'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/application.rb:337:in `require_environment!'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/railties-5.2.1/lib/rails/application.rb:520:in `block in run_tasks_blocks'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/gems/rake-12.3.1/exe/rake:27:in `<top (required)>'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/bin/ruby_executable_hooks:15:in `eval'

/usr/local/rvm/gems/ruby-2.5.1@katello-pr-test-3578/bin/ruby_executable_hooks:15:in `<main>'

Tasks: TOP => db:create => db:load_config => environment

(See full trace by running task with --trace)

script returned exit code 1
</pre>

Comment 1 Ondřej Pražák 2018-11-02 07:04:53 UTC
Created from redmine issue http://projects.theforeman.org/issues/25312

Comment 2 Ondřej Pražák 2018-11-02 07:04:58 UTC
Upstream bug assigned to None

Comment 4 pm-sat@redhat.com 2018-11-02 08:03:24 UTC
Upstream bug assigned to egolov@redhat.com

Comment 5 pm-sat@redhat.com 2018-11-02 08:03:27 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25312 has been resolved.

Comment 7 Mirek Zalewski 2019-02-20 11:55:24 UTC
Moving to VERIFIED based on:

- Code from upstream PR is present in Foreman provided by Satellite 6.5 snap 16 RPM
- Upstream CI job is not failing consistently: http://ci.theforeman.org/blue/organizations/jenkins/katello-pr-test/activity 
- All downstream snaps for 6.5 were delivered on time

Version:
Satellite 6.5 snap 16
satellite-6.5.0-6.beta.el7sat.noarch
tfm-rubygem-katello-3.10.0.19-1.el7sat.noarch
foreman-1.20.1.10-1.el7sat.noarch
pulp-server-2.18.0-0.1.rc.el7sat.noarch

Comment 10 errata-xmlrpc 2019-05-14 12:38:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.